# CAMERASYNC Plugin

Allows the GM to instantly set the players' cameras to be set on same coordinates of their cameras when the GM presses ALT GR (Right ALT) for a single sync. Allows the GM to set a constant camera resync every two second when they activate the scroll lock key. The GM can move their camera freely without the players watching what they are looking the rest of the time.

## Change Log

```
1.1.1: Fixed the plugin and changed the default trigger key to Alt GR (right alt). Reimplemented the option to sychronize the camera automatically as long as the GM has scroll lock key activated but with a new pace of 2s in between each synchronization.
1.1.0: Changed the code to synchronize on key press and release of ALT-B instead of activation state of scroll lock in order to limit log messages. Changed the Readme sections accordingly.
1.0.1: Added a Limitations category to the readme
1.0.0: Initial release
```

## Install

Use R2ModMan or similar installer to install this plugin.

## Usage

If reinstalling: In R2ModMan click on config editor, search for camera and delete the org.rademon.plugins.camerasync.cfg file before starting the game to reset the setting file.

Start the game without your scroll lock key on, open up a game as GM and either have players join you with your game ID or open a second instance of the game by typing the following command: 
```
TaleSpire.exe --doorstop-enable true --doorstop-target "C:\Users\%USERNAME%\AppData\Roaming\r2modmanPlus-local\TaleSpire\profiles\default\BepInEx\core\BepInEx.Preloader.dll"
```
in the Talespire folder. 

Update the R2ModMan profile name if you use a different one that is not "default".

In game press AltGr/Right alt for a single and instant synchronization or activate scroll lock key to have a constant resync every two secondes.

# Limitations

-If going for the double instances running on the same machine: you CAN'T have both your instances set as GM when you press ALT GR or activate scroll lock, the option to change one of your session from GM to player that is on the extreme upper left of your talespire window (Sessions default to GM so remember to change one before using the feature).

-If going for the option to have players join your game with your game ID on their own Talespire copies : If you have at least one player as a second GM don't press ALT GR or activate scroll lock at the same time.

## Credits

Thanks to Lord Ashes for their huge help in making this QOL plugin a reality and guiding me along the way.